## class TRWindow : public DiagramWindow

> generic textual tree edit window class.

## Inheritance:

### Public Methods

  | TRWindow (const char *name)
  void | SetLayout (bool b)

### Inherited from DiagramWindow:

### Public Methods

void SetNodeName(int n)
void SetEdgeName(int n)

### Protected Fields

const char** nodeNames
const char** edgeNames
int nrNodes
int nrEdges
const Bitmap* nodeIcons
const Bitmap* edgeIcons
Menu* gridMenu
MenuItem* diagramAlignItems
MenuItem* defPropertiesItems
MenuItem* gridItems
MenuItem* nodeLineStyleItems
MenuItem* edgeLineStyleItems
MenuItem* updateNodeShapeTypeItems

### Protected Methods

Widget CreateMenuBar(Widget parent)
virtual Widget CreateTiles(Widget parent)
void CreateNodeIcons(Widget parent)
void CreateEdgeIcons(Widget parent)
void CreateIndexToggle(Widget parent)
DiagramViewer* GetDiagramViewer() const
void SetShowLineStyleOptionMenu(bool b)
Widget GetNodeIconsRC() const
Widget GetEdgeIconsRC() const
void CreateLineStyleOptionMenu(Widget w, bool nodes, bool minimize)
void InitMenuItems()
virtual bool ShowIndexToggle()
void CalcIconColumns()
int GetIconsScrollHeight(int rows)

### Inherited from DrawWindow:

### Public Methods

const char* GetClassName()
void SetAutoResize(bool set)
void SetInlineEdit(bool set)
void SetScaleValue(const char *s)
DrawingArea* GetDrawingArea()
void FitDocument()
void FitDocument(int wd, int ht)
void ShowPosition(int x, int y)
void SetUndoName(const char *s)
void SetRedoName(const char *s)
void EnableUndo(bool flag)
void EnableRedo(bool flag)
void EnableDocumentSource(bool flag)

### Protected Fields

Menu* documentMenu
Menu* scaleMenu
MenuItem* scaleItems
MenuItem* documentItems
MenuItem* documentInfoItems

### Protected Methods

virtual void WriteUsage(const char *s)
void ParseUserOptions(int argc, char **argv)
Widget GetArrowButtons()
void SetArrowButtons(Widget w)
Widget GetScrolledWindow()
void SetScrolledWindow(Widget w)
Widget GetScaleValue()
void SetScaleValue(Widget w)
void SetScrolledWindowWidth(int n)
int GetScrolledWindowWidth()
void SetScrolledWindowHeight(int n)
int GetScrolledWindowHeight()
void CreateDrawingArea()
void Finalize()
Widget CreateControlArea(Widget parent)
Widget CreateScrolledWindow(Widget parent)
Widget CreateScaleValue(Widget parent)
Widget CreateArrowButtonSquare(Widget parent)

### Inherited from EditWindow:

### Public Classes

enum ScreenType

### Public Methods

void Manage()
void SetStatus(const char *message)
void SetStatus(const string *message)
void SetDocumentName(const char *s)
void SetDocumentName(const string *s)
void SetDocumentType(const char *s)
void SetDocumentType(const string *s)
void SetDocumentLevel(const char *s)
void SetDocumentLevel(const string *s)
void SetDirName(const char *s)
void SetDirName(const string *s)
void SetModified(bool set)
bool IsDoMap()
Menu* GetFileMenu()
Menu* GetEditMenu()
Menu* GetPrintMenu()
Menu* GetHelpMenu()
Menu* GetViewMenu()
Menu* GetSearchMenu()
Menu* GetPropertiesMenu()
MenuItem* GetPopupEditItems()
void SetPageSubMenuItem(const char *text, int n)
void SetPageMenuItem(const char *text, bool b)

### Protected Fields

Menu* fileMenu
Menu* editMenu
Menu* printMenu
Menu* pageMenu
Menu* viewMenu
Menu* propertiesMenu
Menu* helpMenu
Menu* searchMenu
MenuItem* popupEditItems
MenuItem* fileItems
MenuItem* editItems
MenuItem* viewItems
MenuItem* bannerPageItems
MenuItem* printItems
MenuItem* searchItems
MenuItem* propertiesItems
MenuItem* printerOptionsItems
MenuItem* helpItems
MenuItem* pageOrientationItems
MenuItem* pageSizeItems
MenuItem* pageItems

### Protected Methods

Document* GetDocument()
void SetDocument(Document *d)
Printer* GetPrinter()
Helper* GetHelper()
int GetArgsLeft()
void SetArgsLeft(int n)
ScreenType GetScreenType()
bool IsDoLoad()
void SetDoLoad(bool b)
void SetLoadFile(const char *s)
Widget GetMenuBar()
void SetMenuBar(Widget w)
Widget GetDocumentArea()
void SetDocumentArea(Widget w)
Widget GetStatusArea()
void SetStatusArea(Widget w)
Widget GetControlArea()
void SetControlArea(Widget w)
Widget GetLogo()
void SetLogo(Widget w)
Widget GetDirName()
void SetDirName(Widget w)
Widget CreateWorkArea(Widget parent, int argc, char **argv)
virtual Widget CreateLogo(Widget parent)
virtual Widget CreateDocumentArea(Widget parent)
virtual Widget CreateStatusArea(Widget parent)
Widget CreateToggle(Widget parent, const char *label, bool Init, XtCallbackProc fun, XtPointer clientData)

### Inherited from MainWindow:

### Public Methods

virtual void Initialize(int argc, char** argv, Config *config)
virtual void Unmanage()
virtual void Iconify()
void ManageUnmapped()
void Close()
void SetTitle(const char *title)
void SetTitle(const string *title)
void SetIconName(const char *name)
void SetIconPixmap(Pixmap px)
void SetCursor(int cursorNum)
void SetSizeCursor(int cursorNum)
virtual int GetTool()
PrinterOptions* GetPrinterOptions()

### Protected Methods

virtual void CreateComponents(Widget window)
MouseCursor* GetCursor()
Config* GetConfig()

### Inherited from MWidget:

### Public Methods

bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> generic textual tree edit window class.

`TRWindow(const char *name)`

`void SetLayout(bool b)`

Direct child classes:
  FDWindow

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de